---
updatedAt: 2025-06-12T23:57:51.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Fiat Account Statement

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/fiat-accounts/{id}/statement": {
      "get": {
        "summary": "Get Fiat Account Statement",
        "description": "",
        "operationId": "get-fiat-account-copy",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the Fiat Account.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "createdAt(gte)",
            "in": "query",
            "description": "Greater than or equal to the created date. ISO 8601 Date format. e.g. 2021-11-18",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdAt(lte)",
            "in": "query",
            "description": "Less than or equal to the created date. ISO 8601 Date format. e.g. 2021-11-18",
            "schema": {
              "type": "string",
              "format": "date"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Date,Type,Scheme,Counterparty,Reference,Dr/Cr,Currency,Amount,Balance\n\nThere were no transactions in the specified period",
                    "summary": "Result"
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"RESOURCE_MISSING\",\n    \"message\": \"FiatAccount with 'fac_xxxxyyyyzzzz' id does not exist.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "RESOURCE_MISSING"
                    },
                    "message": {
                      "type": "string",
                      "example": "FiatAccount with 'fac_xxxxyyyyzzzz' id does not exist."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/fiat-accounts/fac_ov8jkx67ndy1dbglam \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```